<!-- <script setup lang="ts">
</script>
<template>
    <v-card theme="light" height="919" outlined="false">

        <v-row class="mt-5">
            <v-col cols="2"><span class="fontTitle ml-14">Nova-Consoler</span></v-col>
            <v-col class="ml-15" cols="7"><v-autocomplete auto-select-first density="comfortable" item-props menu-icon=""
                    placeholder="ค้นหาที่นี่" prepend-inner-icon="mdi-magnify" rounded theme="light" variant="solo"
                    class="custom-width"></v-autocomplete></v-col>
            <v-col cols="1">
                <span class="fontSup">บริษัทคู่ค้า</span>
            </v-col>
            <v-col cols="1"> <v-combobox :items="['Sony', 'Microsoft']" class="custom-width-combobox"></v-combobox>
            </v-col>
        </v-row>
        <v-row class="mt-2">

            <v-col>
                <v-card class="ml-14" theme="light" height="700" width="1200" style="border: 1px solid rgba(0, 0, 0, 0.1);">
                </v-card>
            </v-col>
            <v-col>
                <v-card theme="light" height="700" width="600" style="border: 1px solid rgba(0, 0, 0, 0.1);">
                    <v-card theme="light" height="600" width="600" style="border: 1px solid rgba(0, 0, 0, 0.1);">
                    </v-card>
                    <v-row>
                        <v-col cols="4"></v-col>
                        <v-col cols="5"><v-btn to="" class="font mt-5">ดำเนินการสั่งซื้อ</v-btn></v-col>
                        <v-col></v-col>
                    </v-row>
                </v-card>

            </v-col>
        </v-row>
        <v-row>
            <v-col cols="3" class="ml-13 mt-4">
                <v-btn to="/manubuyproductsuplier" class="font">ย้อนกลับ</v-btn>
                <v-btn to="/" class="font ml-5">กลับหน้าหลัก</v-btn>
            </v-col>
            <v-col cols="6">
            </v-col>
            <v-col>
            </v-col>
        </v-row>
    </v-card>
</template>
<style scoped>
.custom-width {
    width: 300px;
}

.custom-width-combobox {
    width: 200px;
}

.fontTitle {
    text-align-last: center;
    font-family: fantasy;
    font-size: 35px;
    color: black;
}

.fontSup {
    text-align-last: center;
    font-family: fantasy;
    font-size: 25px;
    color: black;
}

.font {
    text-align-last: center;
    font-family: fantasy;
    font-size: 18px;
    color: black;
}
</style> -->

<script setup lang="ts">
import { computed, watch, ref, onMounted } from "vue";
import { useSupplierproductStore } from "@/stores/supplierproduct";
import { useSupplierStore } from "@/stores/supplier";
const supplierproductStore = useSupplierproductStore();
const supplierStore = useSupplierStore();
const backendURL = import.meta.env.VITE_BACKEND_URL;
const receiptshowStatus = ref(false);
onMounted(async () => {
    // await supplierproductStore.getSupplierproducts();
    await supplierStore.getSupplier();

});
let currentDate: Date = new Date();
setInterval(() => {
    currentDate = new Date();
}, 1000);
const formatDate = (endDate: string) => {
    const date = new Date(endDate);
    const day = date.getDate().toString().padStart(2, '0'); // Add leading zero if single digit
    const monthNamesThai = [
        "มกราคม.", "กุมภาพันธ์", "มีนาคม", "เมษายน", "พฤษภาคม", "มิถุนายน",
        "กรกฎาคม", "สิงหาคม", "กันยายน", "ตุลาคม", "พฤศจิกายน", "ธันวาคม"
    ];
    const month = monthNamesThai[date.getMonth()]; // Get Thai month name
    const year = date.getFullYear().toString(); // Get last two digits of the year
    return `${day} ${month} ${year}`;
};
function print(){
    console.log(supplierStore.gotSupplier.id!)
    console.log(supplierStore.gotSupplier.name!)
}
</script>

<template>
    <v-main class="body">
        <v-container class="justify-center">
            <v-row>
                <v-col cols="1">
                </v-col>
                <v-col cols="3">
                    <div style="font-size: 30px;color: rgb(202, 227, 248);" class=".font-weight-regular.font-italic">
                        Nova-Consoler</div>

                </v-col>
                <v-col cols="3">
                    <v-text-field style="background-color: rgb(221, 235, 247);" id="search" label="ค้นหาได้ที่นี่"
                        append-inner-icon="mdi-magnify"></v-text-field>
                </v-col>
                <v-col cols="1">
                </v-col>
                <v-col cols="2"
                    style="font-size: 30px;text-align: right;color: rgb(202, 227, 248);">บริษัทคู่ค้า<v-btn @click="print()">ดู</v-btn></v-col>
                <v-col cols="2"><v-select v-model="supplierStore.gotSupplier.id" label="เลือกคู่ค้า"
                        style="background-color: rgb(221, 235, 247);" :items="supplierStore.supplier" item-title="name"
                        item-value="id"
                        @blur="supplierproductStore.getSupplierproductsBySupplier(supplierStore.gotSupplier.id!),supplierStore.getSupplierName(supplierStore.gotSupplier.id!),supplierproductStore.clearOrderItem()"
                        single-line></v-select></v-col>
            </v-row>
            <v-container class="justify-center">
                <v-row>
                    <v-col cols="7">
                        <v-card width="auto" height="500px" color="rgb(229, 227, 248)" class="overflow-y-auto" style="
            font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial,
              sans-serif;border:solid; border-width: 2px;
          "><v-row>
                                <v-col cols="6" v-for="item of supplierproductStore.supplierproducts" :key="item.id">
                                    <v-card class="ma-5">
                                        <div style="display: grid; place-items: center;">
                                            <v-img cover height="225px" width="150px" class="ma-3"
                                                :src="`${backendURL}/supplierproducts/image/${item.image}`">
                                            </v-img>
                                        </div>
                                        <v-card-actions>
                                            <v-btn @click="supplierproductStore.addOrderItem(item)" class="fontD"
                                                height="50" block style="text-align: center;">
                                                {{ item.name }} <br> ฿{{ item.price.toLocaleString() }}
                                            </v-btn>
                                        </v-card-actions>
                                    </v-card>
                                </v-col>
                            </v-row>
                        </v-card>
                    </v-col>
                    <v-col>
                        <v-card width="auto" height="500px" color="rgb(229, 227, 248)"
                            class="overflow-y-auto justify-center" style="
            font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial,
              sans-serif;border: solid; border-width: 2px; text-align: center;
          "><v-row justify="center" align="center">
                                <v-col>
                                    <v-table class="overflow-auto" width="auto" height="400px"
                                        style="background-color: rgb(229, 227, 248);">
                                        <tr>
                                            <th>รายการ</th>
                                            <th>จำนวน</th>
                                            <th>ราคา</th>
                                        </tr>
                                        <tr v-for="(item, index) of supplierproductStore.orderList" :key="index">
                                            <td style="text-align: center;width: 60%;">{{ item.supplierproduct.name }}
                                            </td>
                                            <td style="text-align: center;width: 10%;">{{ item.amount }}</td>
                                            <td style="text-align: center;width: 20%;">{{ item.sum.toLocaleString() }}
                                            </td>
                                            <td style="text-align: center;width: 10%;">
                                                <v-btn color="rgb(255,255,255)"
                                                    @click="supplierproductStore.deleteOrderItem(index)"
                                                    icon="mdi-delete" style="width: 20px;height: 20px;"></v-btn>
                                            </td>
                                        </tr>
                                    </v-table>
                                    <v-table style="background-color: rgb(229, 227, 248);">
                                        <th colspan="2" style="width: 50%;">ยอดรวมสุทธิ</th>
                                        <td colspan="1" style="text-align: center;width: 50%;">{{
                    supplierproductStore.sumPrice.toLocaleString() }}</td>
                                        <th></th>
                                    </v-table>
                                    <v-btn v-if="supplierproductStore.orderList.length == 0" disabled class="ml-4"
                                        style="width: 50%;" color="rgb(222,222,222)">ดำเนินการสั่งซื้อ</v-btn>
                                    <v-btn v-if="supplierproductStore.orderList.length > 0"
                                        @click="receiptshowStatus = !receiptshowStatus" class="ml-4" style="width: 50%;"
                                        color="rgb(222,222,222)">ดำเนินการสั่งซื้อ</v-btn>
                                </v-col>
                            </v-row></v-card>
                    </v-col>
                </v-row>


            </v-container>
            <v-row>
                <v-col cols="7">

                </v-col>
            </v-row>

            <v-row>
                <v-col cols="2" style="text-align: right;">
                    <v-btn @click="supplierproductStore.clearOrderItem()" to="/manubuyproductsuplier" class="ml-4"
                        style="width: 60%; font-weight: bolder;">ย้อนกลับ</v-btn>
                </v-col>
                <v-col cols="2">
                    <v-btn to="/" class="ml-4" style="width: 60%;text-align: left;font-weight: bolder;"
                        @click="supplierproductStore.clearOrderItem()">กลับหน้าหลัก</v-btn>
                    <v-overlay v-model="receiptshowStatus" class="justify-center"
                        @after-leave="receiptshowStatus = false, supplierproductStore.clearOrderItem()">
                        <v-card width="600px" height="500"
                            class="mt-12 mx-auto rounded-xl justify-center overflow-y-auto" style="text-align: center;">
                            บริษัท Nova-Consoler
                            <v-row>
                                <v-col cols="1"></v-col>
                                <v-col cols="10">
                                    <v-table>
                                        <tr class="center">
                                            <th colspan="2" width="25%">บริษัทคู่ค้า</th>
                                            <td>{{ supplierStore.gotSupplier.name }}</td>
                                        </tr>
                                        <tr class="center">
                                            <th colspan="2">ที่อยู่</th>
                                            <td width="35%">55/88-89, 55/91 หมู่ 1 ถ. สุขุมวิท ตําบล เสม็ด
                                                อําเภอเมืองชลบุรี
                                                ชลบุรี 20000</td>
                                        </tr>
                                        <tr class="center">
                                            <th colspan="2">เบอร์โทรศัพท์</th>
                                            <td>062348429</td>
                                            <th width="10%">วันที่่</th>
                                            <td width="30%">{{ formatDate(currentDate.toString()) }}</td>
                                        </tr>
                                    </v-table>

                                </v-col>
                            </v-row>
                            <v-row>
                                <v-col>
                                    <v-table>
                                        <tr>
                                            <td colspan="3">
                                                ---------------------------------------------------------------------------------------------------
                                            </td>
                                        </tr>
                                        <tr>
                                            <th width="50%">รายการ</th>
                                            <th width="20%">จำนวน</th>
                                            <th width="30%">ราคา</th>
                                        </tr>
                                        <tr>
                                            <td colspan="3">
                                                ---------------------------------------------------------------------------------------------------
                                            </td>
                                        </tr>
                                    </v-table>
                                    <v-table>
                                        <tr v-for="(item, index) of supplierproductStore.orderList" :key="index">
                                            <td width="50%" class="center">{{ item.supplierproduct.name }}</td>
                                            <td width="20%" class="center">{{ item.amount }}</td>
                                            <td width="30%" class="center">{{ item.sum.toLocaleString() }}</td>
                                        </tr>
                                    </v-table>
                                    <v-table>
                                        <tr>
                                            <td colspan="3">
                                                ---------------------------------------------------------------------------------------------------
                                            </td>
                                        </tr>
                                        <tr>
                                            <th width="20%" class="right">ยอดสุทธิ :</th>
                                            <td width="30%" class="center">
                                                {{supplierproductStore.sumPrice.toLocaleString()}}</td>
                                            <td class="left">บาท</td>
                                        </tr>
                                        <tr>
                                            <td colspan="3">
                                                ---------------------------------------------------------------------------------------------------
                                            </td>
                                        </tr>
                                    </v-table>
                                </v-col>
                            </v-row>
                            <v-row align="center">
                                <v-col>
                                    <h3>ขอบคุณที่ใช้บริการ (^-^)</h3>
                                </v-col>
                            </v-row>
                        </v-card>
                    </v-overlay>
                </v-col>
                <v-col cols="3">
                </v-col>
            </v-row>
        </v-container>
    </v-main>
</template>

<style scoped>
.eiei {
    font-family: "Franklin Gothic Medium", "Arial Narrow", Arial, sans-serif;
    font-size: 14px;
}

.bibi {
    font-family: "Franklin Gothic Medium", "Arial Narrow", Arial, sans-serif;
    font-size: 12px;
}

table {
    border: 1px solid #ffffff;
}

.cont {
    justify-content: left;
}

body {
    overflow: hidden;
}

.color {
    font-family: "Franklin Gothic Medium", "Arial Narrow", Arial, sans-serif;
    color: black;
}

.eiei {
    width: auto;
}

.center {
    text-align: center;
}

.left {
    text-align: left;
}

.right {
    text-align: right;
}

.body {
    background: url(https://wallpapers.com/images/hd/ps4-theme-btpkghdtrxbl7n4r.jpg) no-repeat;
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-size: cover;
    /* background-color: bisque; */
}
</style>